Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all NFTs

List all NFTs

get

This endpoints allows you to retrieve a paginated list of all NFTs in a Project.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transferablestringRequired

Value must be either 't' for transferable or 'n' for non-transferable

projectIdintegerRequired
Query parameters
pagenumber · nullableOptional
limitnumber · max: 100 · nullableOptional
ownerAddressstringOptional

Base-58 encoded string representing an on-chain address

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
Responses
200Success

No content

get/v2/projects/:transferable/:projectId/nfts
GET /v2/projects/:transferable/:projectId/nfts HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Example

curl --location 'https://dev.underdogprotocol.com/v2/projects/n/5/nfts?limit=10&page=1&ownerAddress=3LtsySLcKoW4VAp7pfSCGAFpwwuAVeqhe42fcc42aSpw' \
--header 'Authorization: Bearer {token}'
const axios = require('axios');

let config = {
  method: 'get',
  url: 'https://dev.underdogprotocol.com/v2/projects/n/5/nfts?limit=10&page=1&ownerAddress=3LtsySLcKoW4VAp7pfSCGAFpwwuAVeqhe42fcc42aSpw',
  headers: { 
    'Authorization': 'Bearer {token}'
  }
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

Last updated